Bug 123103 - New port: sysutil/lbl-cf LBL's Unix time to formated time and date filter
Summary: New port: sysutil/lbl-cf LBL's Unix time to formated time and date filter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-26 05:30 UTC by Craig Leres
Modified: 2008-05-14 19:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2008-04-26 05:30:01 UTC
	cf is a filter that reads files or stdin and replaces numeric
	timestamps found at the beginning of each line with a
	formated time and date time and date.

------- =_aaaaaaaaaa0
Content-Type: text/plain; name="cf.shar"; charset="us-ascii"
Content-ID: <5662.1209183169.2@fun.ee.lbl.gov>

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# @(#) $Id: Makefile,v 1.3 2008/04/26 04:08:44 leres Exp $ (LBL)
X# New ports collection makefile for:	lbl-cf
X# Date created:		24 Apr 2008
X# Whom:			leres@ee.lbl.gov
X# $FreeBSD$
X#
X
XPORTNAME=	cf
XPORTVERSION=	1.2.1
XCATEGORIES=	sysutils
XMASTER_SITES=	ftp://ee.lbl.gov/ \
X		http://www.tux.org//pub/net/ftp.ee.lbl.gov/ \
X		http://ftp.riken.go.jp/pub/net/lbl/ \
X		http://www.ftpdir.hu/ftp.ee.lbl.gov/
XPKGNAMEPREFIX=	lbl-
X
XMAINTAINER=	leres@ee.lbl.gov
XCOMMENT=	Unix time to formated time and date filter
X
XMAN1=		cf.1
X
XHAS_CONFIGURE=	yes
X
Xpost-install:
X	(cd ${WRKSRC} && make install-man)
X
X.include <bsd.port.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (cf-1.2.1.tar.gz) = 17066181077a56a178038527d823a618
XSHA256 (cf-1.2.1.tar.gz) = 05cc9c6ff4050c1da3d5f6782b177591b53a267d422a9fafe88f57096aa39c23
XSIZE (cf-1.2.1.tar.gz) = 55640
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XUnix time to formated time and date filter
X
Xftp://ee.lbl.gov/cf.tar.gz
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/cf
END-of-pkg-plist
exit


------- =_aaaaaaaaaa0--
Comment 1 Thomas Abthorpe freebsd_committer 2008-05-10 03:37:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter freebsd_committer 2008-05-14 19:42:14 UTC
tabthorpe    2008-05-14 18:42:04 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/lbl-cf      Makefile distinfo pkg-descr 
  Log:
  cf is a filter that reads files or stdin and replaces numeric
  timestamps found at the beginning of each line with a formated time
  and date time and date.
  
  WWW: http://ee.lbl.gov/
  
  PR:             ports/123103
  Submitted by:   leres at ee.lbl.gov
  
  Revision  Changes    Path
  1.1008    +1 -0      ports/sysutils/Makefile
  1.1       +31 -0     ports/sysutils/lbl-cf/Makefile (new)
  1.1       +3 -0      ports/sysutils/lbl-cf/distinfo (new)
  1.1       +5 -0      ports/sysutils/lbl-cf/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2008-05-14 19:42:53 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!